## gimpgradients gimpgradients |

## Functions

gboolean | gimp_gradients_refresh ()
gchar ** | gimp_gradients_get_list ()
gchar * | gimp_gradients_get_gradient ()
gboolean | gimp_gradients_set_gradient ()
gdouble * | gimp_gradients_sample_uniform ()
gdouble * | gimp_gradients_sample_custom ()
gchar * | gimp_gradients_get_gradient_data ()

## Description

## Functions

### gimp_gradients_refresh ()

    gboolean
    gimp_gradients_refresh (void);

### gimp_gradients_get_list ()

    gchar **
    gimp_gradients_get_list (const gchar *filter,
                             gint *num_gradients);

### gimp_gradients_get_gradient ()

    gchar *
    gimp_gradients_get_gradient (void);

`gimp_gradients_get_gradient` is deprecated and should not be used in newly-written code.

### gimp_gradients_set_gradient ()

    gboolean
    gimp_gradients_set_gradient (const gchar *name);

`gimp_gradients_set_gradient` is deprecated and should not be used in newly-written code.

### gimp_gradients_sample_uniform ()

    gdouble *
    gimp_gradients_sample_uniform (gint num_samples,
                                   gboolean reverse);

`gimp_gradients_sample_uniform` is deprecated and should not be used in newly-written code.

Use `gimp_gradient_get_uniform_samples()` instead.

### gimp_gradients_sample_custom ()

    gdouble *
    gimp_gradients_sample_custom (gint num_samples,
                                  const gdouble *positions,
                                  gboolean reverse);

`gimp_gradients_sample_custom` is deprecated and should not be used in newly-written code.

Use `gimp_gradient_get_custom_samples()` instead.

### gimp_gradients_get_gradient_data ()

    gchar *
    gimp_gradients_get_gradient_data (const gchar *name,
                                      gint sample_size,
                                      gboolean reverse,
                                      gint *width,
                                      gdouble **grad_data);

`gimp_gradients_get_gradient_data` is deprecated and should not be used in newly-written code.

Use `gimp_gradient_get_uniform_samples()` instead.

## Types and Values